﻿@model StarterProjectV2.ViewModels.TaskCreate

@{
    ViewData["Title"] = "Task";
    string selectedId = "";
    string selectedName = "";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}

@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
  Task Create
}

<style>
    .card-body {
        padding: 60px;
    }
    /*@@media only screen and (min-width: 800px) {
        .card-body {
            padding-left: 10rem
        }
    }*/
</style>

<body style="background-color: oldlace">
    <h2 class="text-center mt-4" style="color:cadetblue">@ViewData["Title"]</h2>

    <div class="card">
        <div class="card-header">
            <strong>Please fill up the following information</strong>
        </div>
        @using (Html.BeginForm("TaskCreate", "Task", FormMethod.Post))
        {

            <div class="card-body">

                <div class="form-group row">
                    <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Task Name</label>
                    <div class="col-lg-4 col-md-4 col-sm-4">

                        @Html.TextBoxFor(m => m.TaskName, new { @class = "form-control", placeholder = "Text", id = "text-input", name = "text-input", type = "text", @required = 'd' })

                    </div>
                    <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Task Order</label>
                    <div class="col-lg-4 col-md-1 col-sm-4">
                        @Html.TextBoxFor(m => m.TaskOrder, new { @class = "form-control", placeholder = "Number", id = "number-input", name = "number-input", type = "number" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Module Parent</label>
                    <div class="col-lg-4 col-md-1 col-sm-4">
                        @Html.DropDownListFor(m => m.selectedModuleId, @Model.ModuleIdandParent.Select(m => new SelectListItem()
                       {
                           Text = m.ModuleName,
                           Value = m.ModuleId
                       }), new { @class = "form-control", id = "sel1" })
                    </div>

                    <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Task Parent</label>
                    <div class="col-lg-4 col-md-1 col-sm-4">
                        @Html.DropDownListFor(m => m.selectedTaskId, new SelectList(Enumerable.Empty<SelectListItem>()), new { @class = "form-control", id = "sel2" })
                    </div>

                </div>

                <div class="form-group row">
                    <label class="col-lg-2 col-md-3 col-sm-3 col-form-label" for="text-input">Task Event</label>
                    <div class="col-lg-1 col-md-1 col-sm-1 ml-4">
                        @Html.CheckBoxFor(m => m.isTaskViewed, new { @class = "form-check-input", id = "is-task-view", type = "checkbox" })
                        View
                    </div>
                    <div class="col-lg-1 col-md-1 col-sm-1">
                        @Html.CheckBoxFor(m => m.isTaskAdded, new { @class = "form-check-input", id = "is-task-view", type = "checkbox" })
                        Add
                    </div>
                    <div class="col-lg-1 col-md-1 col-sm-1">
                        @Html.CheckBoxFor(m => m.isTaskSaved, new { @class = "form-check-input", id = "is-task-view", type = "checkbox" })
                        Save
                    </div>
                    <div class="col-lg-1 col-md-1 col-sm-1">
                        @Html.CheckBoxFor(m => m.isTaskEdited, new { @class = "form-check-input", id = "is-task-view", type = "checkbox" })
                        Edit
                    </div>
                    <div class="col-lg-1 col-md-1 col-sm-1">
                        @Html.CheckBoxFor(m => m.isTaskDeleted, new { @class = "form-check-input", id = "is-task-view", type = "checkbox" })
                        Delete
                    </div>
                    <div class="col-lg-1 col-md-1 col-sm-1">
                        @Html.CheckBoxFor(m => m.isTaskPrinted, new { @class = "form-check-input", id = "is-task-view", type = "checkbox" })
                        Print
                    </div>
                    <div class="col-lg-1 col-md-1 col-sm-1">
                        @Html.CheckBoxFor(m => m.isTaskCancelled, new { @class = "form-check-input", id = "is-task-view", type = "checkbox" })
                        Cancel
                    </div>
                    <div class="col-lg-1 col-md-1 col-sm-1">
                        @Html.CheckBoxFor(m => m.isTaskReseted, new { @class = "form-check-input", id = "is-task-view", type = "checkbox" })
                        Reset
                    </div>
                    <div class="col-lg-1 col-md-1 col-sm-1">
                        @Html.CheckBoxFor(m => m.isTaskFound, new { @class = "form-check-input", id = "is-task-view", type = "checkbox" })
                        Find
                    </div>
                </div>



                <div class="form-group row">
                    <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Task Controller/Folder</label>
                    <div class="col-lg-4 col-md-4 col-sm-4">
                        @Html.TextBoxFor(m => m.TaskController, new { @class = "form-control", placeholder = "Insert Folder Name Without Extension...", id = "text-input", name = "text-input", type = "text", @required = 'd' })
                    </div>
                    <label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Task Module/File</label>
                    <div class="col-lg-4 col-md-4 col-sm-4">
                        @Html.TextBoxFor(m => m.TaskModule, new { @class = "form-control", placeholder = "Insert File Name Without Extension...", id = "text-input", name = "text-input", type = "text", @required = 'd' })
                    </div>
                </div>
                @Html.HiddenFor(m => m.TaskId)

            </div>
            <div class="card-footer d-flex justify-content-end">
                <button type="submit" class="submit btn btn-sm btn-primary px-3 py-2 m-1">
                    <i class="fa fa-dot-circle-o"></i> Submit
                </button>


                <button type="reset" class="reset btn btn-sm btn-danger px-3 py-2 m-1">
                    <i class="fa fa-ban"></i> Reset
                </button>


            </div>
        }

    </div>

    </body>

    <script>

        $("#sel1").change(function () {
            $.getJSON("../Task/gettingTaskList", { moduleId: $("#sel1 option:selected").val() },
                function (data) {

                    var select = $("#sel2");
                    select.empty();


                    select.append($('<option/>', {
                        value: 0,
                        text: "--"
                    }));


                    $.each(data, function (index, itemData) {

                        select.append($('<option/>', {
                            value: itemData.Value,
                            text: itemData.Text
                        }));

                    });
                });
        });
    </script>


    <script type="text/javascript">
        $(function () {

            $(".dropdown-item").click(
                function () {

                    var a = $("#dropdownMenu:first-child").text($(this).text());
                    var b = $("#dropdownMenu:first-child").val($(this).text());

                    var c = $('#dropDownMenu :selected').text();
                    console.log(c);
                }
            );

        });

        $(document).ready(function () {
            $("#newItem").remove();

            $("#editItem").remove();
            $("#saveItem").remove();
            $("#deleteItem").remove();
            $('#printItem').click(function () {
                window.print();
            });

            $('#reloadItem').click(function () {
                location.reload();
            });

            $("#dashboardItem").click(function () {
                //document.location = 'Url.Action("ExportExcel", "OwnersInfo")';
            });
            $("#reportItem").remove();
        });

    </script>



